## org.eclipse.m2m.atl.engine.emfvm.lib
Interface HasFields

All Known Implementing Classes:
  ASMModule, EnumLiteral, Tuple

    public interface HasFields

Abstract definition of type having fields.

Method Summary
`java.lang.Object` `get(AbstractStackFrame frame, java.lang.Object name)` Gets a value.
`void` `set(AbstractStackFrame frame, java.lang.Object name, java.lang.Object value)` Sets a value to the object.
`void` `unset(AbstractStackFrame frame, java.lang.Object name)` Unsets a value to the object.

Method Detail

### set

    void set(AbstractStackFrame frame,
             java.lang.Object name,
             java.lang.Object value)

  Sets a value to the object.

  Parameters:
    `frame` - the frame context
    `name` - the value name
    `value` - the value

### unset

    void unset(AbstractStackFrame frame,
               java.lang.Object name)

  Unsets a value to the object.

  Parameters:
    `frame` - the frame context
    `name` - the value name

### get

    java.lang.Object get(AbstractStackFrame frame,
                         java.lang.Object name)

  Gets a value.

  Parameters:
    `frame` - the frame context
    `name` - the value name
  Returns:
    the value

Copyright 2007 IBM Corporation and others. All Rights Reserved.